Open SCAP Library: oval_sysinfo Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
oval_sysinfo Struct Reference
OVAL » OVALSYS

General instrumented host description. More...

`#include <oval_system_characteristics.h>`

## Public Member Functions
struct oval_sysinfo * | oval_sysinfo_new (struct oval_syschar_model *)
struct oval_sysinfo * | oval_sysinfo_clone (struct oval_syschar_model *new_model, struct oval_sysinfo *old_sysinfo)
void | oval_sysinfo_free (struct oval_sysinfo *)
Setters
void | oval_sysinfo_set_os_name (struct oval_sysinfo *, char *)
void | oval_sysinfo_set_os_version (struct oval_sysinfo *, char *)
void | oval_sysinfo_set_os_architecture (struct oval_sysinfo *, char *)
void | oval_sysinfo_set_primary_host_name (struct oval_sysinfo *, char *)
void | oval_sysinfo_add_interface (struct oval_sysinfo *, struct oval_sysint *)
Getters
char * | oval_sysinfo_get_os_name (struct oval_sysinfo *)
| Get operating system name.
char * | oval_sysinfo_get_os_version (struct oval_sysinfo *)
| Get operating system version.
char * | oval_sysinfo_get_os_architecture (struct oval_sysinfo *)
| Get operating system architecture.
char * | oval_sysinfo_get_primary_host_name (struct oval_sysinfo *)
| Get primary host name of the tested machine.
struct oval_sysint_iterator * | oval_sysinfo_get_interfaces (struct oval_sysinfo *)
| Get an iterator to the list of network interfaces.

## Data Fields
struct oval_syschar_model * | model
char * | osName
char * | osVersion
char * | osArchitecture
char * | primaryHostName
struct oval_collection * | interfaces
char * | anyxml

## Detailed Description

General instrumented host description.

Instances of Oval_sysinfo specify general information about instrumented host systems, including information that can be used to identify the system.

The documentation for this struct was generated from the following files:

- oval_sysInfo.c
- oval_system_characteristics.h